brooklyn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aled Sage (JIRA)" <j...@apache.org>
Subject [jira] [Created] (BROOKLYN-355) brooklyn-server's rest-api has a test dependency on brooklyn-ui repo
Date Thu, 29 Sep 2016 17:42:20 GMT
Aled Sage created BROOKLYN-355:
----------------------------------

             Summary: brooklyn-server's rest-api has a test dependency on brooklyn-ui repo
                 Key: BROOKLYN-355
                 URL: https://issues.apache.org/jira/browse/BROOKLYN-355
             Project: Brooklyn
          Issue Type: Improvement
            Reporter: Aled Sage
            Priority: Trivial


In 0.10.0-SNAPSHOT, the rest-api module (https://github.com/apache/brooklyn-server/blob/master/rest/rest-api/pom.xml#L102-L108)
depends on:

{noformat}
        <dependency>
            <groupId>org.apache.brooklyn</groupId>
            <artifactId>brooklyn-jsgui</artifactId>
            <version>${project.version}</version>
            <type>test-jar</type>
            <scope>test</scope>
        </dependency>
 {noformat}

That looks wrong (or at least sub-optimal) because the brooklyn-jsgui is in the brooklyn-ui
repo. I don't think we should need to build brooklyn-ui before being able to build brooklyn-server
repo.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message